Bug 205443 - www/py-pyjwt: Update to 1.4.0
Summary: www/py-pyjwt: Update to 1.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-19 22:57 UTC by Terje Elde
Modified: 2016-02-26 10:58 UTC (History)
4 users (show)

See Also:


Attachments
Patch updating port to 1.4.0 (1009 bytes, patch)
2015-12-19 22:57 UTC, Terje Elde
no flags Details | Diff
Update py-pyjwt to 1.4.0, Modernize (2.97 KB, patch)
2016-02-26 10:37 UTC, Kubilay Kocak
terje: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Terje Elde 2015-12-19 22:57:05 UTC
Created attachment 164397 [details]
Patch updating port to 1.4.0

Trivial update to 1.4.0 (latest upstream).

(Also reorder DISTNAME/PKGNAMEPREFIX to make portlint happy)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-04 09:24:34 UTC
Non-committers should not be assigned issues (currently) as they often get lost and don't make progress.

Re-triage:

- Correctly reset assignment so that any committer can 'take' it
- CC python@ since it's a python port update
- Remove Warren (wblock@) from maintainer-feedback since he is no longer MAINTAINER
Comment 2 Kurt Jaeger freebsd_committer 2016-02-07 21:43:37 UTC
Building in poudriere wants to load

https://pypi.python.org/simple/pytest-runner/

in build phase and fails. This needs to be worked around.
Comment 3 Kurt Jaeger freebsd_committer 2016-02-07 21:50:31 UTC
Fix found: BUILD_DEPENDS on devel/py-pytest-runner
Comment 4 Kurt Jaeger freebsd_committer 2016-02-07 22:06:28 UTC
testbuilds are fine, but:

The dependent port is security/py-oauthlib, which             
you maintain. It's at 0.7.2, upstream is at 1.0.3 and has                       
a breaking change in 1.0.0, see                                                 
                                                                                
https://github.com/idan/oauthlib/releases                                       
                                                                                
and itself has downstream ports:                                                
                                                                                
audio/py-discogs-client                                                         
www/py-flask-oauthlib                                                           
www/py-requests-oauthlib
Comment 5 Kurt Jaeger freebsd_committer 2016-02-07 22:09:02 UTC
A testbuild for security/py-oauthlib at 1.0.3 (current upstream release) looks fine.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-26 10:37:56 UTC
Created attachment 167435 [details]
Update py-pyjwt to 1.4.0, Modernize

www/py-jwt: Update to 1.4.0, Modernize

- Update PORTVERSION and distinfo checksum (1.4.0)
- Update run and test dependencies (pycrypto -> cryptography)
- Enable "concurrent" Python installation
- Enable NO_ARCH (architecture independent)
- Update test target
- Patch setup.py not to install non-compulsory tests_requires
- Group OPTIONS_* entries
- Pet portling (DISTNAME order)
- Uncomment LICENSE_FILE
Comment 7 Terje Elde 2016-02-26 10:40:26 UTC
Comment on attachment 164397 [details]
Patch updating port to 1.4.0

Obsolete
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-26 10:41:30 UTC
Re-assign after talking with maintainer.

I have the update for security/py-oauthlib ready to go (which is what precipitated attachment 167435 [details])
Comment 9 commit-hook freebsd_committer 2016-02-26 10:44:49 UTC
A commit references this bug:

Author: koobs
Date: Fri Feb 26 10:44:33 UTC 2016
New revision: 409595
URL: https://svnweb.freebsd.org/changeset/ports/409595

Log:
  www/py-pyjwt: Update to 1.4.0, Modernize

  - Update PORTVERSION and distinfo checksum (1.4.0)
  - Update run and test dependencies (pycrypto -> cryptography)
  - Enable "concurrent" Python installation
  - Enable NO_ARCH (architecture independent)
  - Update test target
  - Patch setup.py not to install non-compulsory tests_requires
  - Group OPTIONS_* entries
  - Pet portling (DISTNAME order)
  - Uncomment LICENSE_FILE

  PR:		205443
  Reviewed by:	maintainer <terje elde net>
  Approved by:	maintainer <terje elde net>

Changes:
  head/www/py-pyjwt/Makefile
  head/www/py-pyjwt/distinfo
  head/www/py-pyjwt/files/
  head/www/py-pyjwt/files/patch-setup.py
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-26 10:58:40 UTC
Committed! Sorry this took so long to resolve